org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage

## Interface EnumValue

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValueReference
  All Known Implementing Classes:
    EnumValueImpl

      public interface EnumValue
      extends ValueReference

  A representation of the model object 'Enum Value'.

  The following features are supported:

  - `Enumeration`
  - `Literal`
  See Also:
    `EMFPatternLanguagePackage.getEnumValue()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EEnum` | `getEnumeration()` Returns the value of the 'Enumeration' reference.
    `org.eclipse.emf.ecore.EEnumLiteral` | `getLiteral()` Returns the value of the 'Literal' reference.
    `void` | `setEnumeration(org.eclipse.emf.ecore.EEnum value)` Sets the value of the '`Enumeration`' reference.
    `void` | `setLiteral(org.eclipse.emf.ecore.EEnumLiteral value)` Sets the value of the '`Literal`' reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEnumeration

          org.eclipse.emf.ecore.EEnum getEnumeration()

      Returns the value of the 'Enumeration' reference.

      If the meaning of the 'Enumeration' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Enumeration' reference.
      See Also:
        `setEnumeration(EEnum)`, `EMFPatternLanguagePackage.getEnumValue_Enumeration()`

    - #### setEnumeration

          void setEnumeration(org.eclipse.emf.ecore.EEnum value)

      Sets the value of the '`Enumeration`' reference.
      Parameters:
        `value` - the new value of the 'Enumeration' reference.
      See Also:
        `getEnumeration()`

    - #### getLiteral

          org.eclipse.emf.ecore.EEnumLiteral getLiteral()

      Returns the value of the 'Literal' reference.

      If the meaning of the 'Literal' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Literal' reference.
      See Also:
        `setLiteral(EEnumLiteral)`, `EMFPatternLanguagePackage.getEnumValue_Literal()`

    - #### setLiteral

          void setLiteral(org.eclipse.emf.ecore.EEnumLiteral value)

      Sets the value of the '`Literal`' reference.
      Parameters:
        `value` - the new value of the 'Literal' reference.
      See Also:
        `getLiteral()`